REM MODIFY FOLLOWING VALUES HERE BEFORE START
REM modify if you have installed software in different folder
set ORACLE_INSTALL_HOME=c:/u01/oracle/products/fmw1213
set JAVA_HOME=C:/installs/Java/jdk1.7.0_65
REM modify this to use different domain name
set DOMAIN_LOGICAL_NAME=adf1
set DOMAIN_PASSWORD=welcome1
set WLS_SCHEMA_PASSWORD=welcome1
REM fill in sys password here
set SYS_DB_PASSWORD=welcome1
REM fill in value here (either host:port:sid or host:port@servicename)
set DB_CONNECT_STRING=localhost:1521:xe

REM modify if you are using different folder structure, domain will be created under this structure
set ORACLE_CONFIG_DIRECTORY=c:/u01/oracle/config

set FDWLS_ADMIN_LISTEN_ADDRESS=%COMPUTERNAME%
set FDWLS_ADMIN_LISTEN_PORT=7001
set FDWLS_NODEMANAGER_HOST=%COMPUTERNAME%
set FDWLS_NODEMANAGER_PORT=5556
set FDWLS_NODEMANAGER_TYPE=SSL


REM Process starts here

echo > PasswordFile.txt
echo %SYS_DB_PASSWORD%>PasswordFile.txt
echo %WLS_SCHEMA_PASSWORD%>>PasswordFile.txt


set WLS_SCHEMA_PREFIX=%DOMAIN_LOGICAL_NAME%
call %ORACLE_INSTALL_HOME%/oracle_common/bin/rcu.bat -silent -databaseType ORACLE -createRepository -connectString %DB_CONNECT_STRING% -dbUser sys -dbRole SYSDBA -useSamePasswordForAllSchemaUsers true -schemaPrefix %WLS_SCHEMA_PREFIX% -component STB -component MDS -component IAU -component IAU_APPEND -component IAU_VIEWER -component OPSS -component WLS -f < PasswordFile.txt

del PasswordFile.txt

set FDWLS_DOMAIN_NAME=%DOMAIN_LOGICAL_NAME%_domain
set FDWLS_ADMIN_DOMAIN_DIRECTORY=%ORACLE_CONFIG_DIRECTORY%/domains/%FDWLS_DOMAIN_NAME%
set FDWLS_ADMIN_USER=weblogic
set FDWLS_ADMIN_PASSWORD=%DOMAIN_PASSWORD%
set FD_ORACLE_MW_HOME=%ORACLE_INSTALL_HOME%
set FDWLS_BASE_INSTALL_DIRECTORY=%ORACLE_CONFIG_DIRECTORY%/applications/%FDWLS_DOMAIN_NAME%
set FDWLS_NODEMANAGER_USER=weblogic
set FDWLS_NODEMANAGER_PASSWORD=%DOMAIN_PASSWORD%
REM FILL IN JDBC URL HERE to RCU schema database, For example - jdbc:oracle:thin:@host:port:sid or jdbc:oracle:thin:@host:port/servicename
set FLX_INSTALL_RCU_DB_URL=jdbc:oracle:thin:@%DB_CONNECT_STRING%
set FLX_INSTALL_RCU_DB_USER=%WLS_SCHEMA_PREFIX%_STB
set FLX_INSTALL_RCU_DB_PASSWORD=%WLS_SCHEMA_PASSWORD%


call %FD_ORACLE_MW_HOME%/wlserver/common/bin/wlst.cmd createWLSDomain.py

call %FD_ORACLE_MW_HOME%/wlserver/common/bin/wlst.cmd createADFDomain.py