# FILL IN VALUES HERE BEFORE START
# modify if you have installed software in different folder
export ORACLE_INSTALL_HOME=/u01/oracle/products/fmw1213
export JAVA_HOME=/u01/oracle/products/java/jdk1.7.0_65
# modify this to use different domain name
export DOMAIN_LOGICAL_NAME=adf1
export DOMAIN_PASSWORD=welcome1
export WLS_SCHEMA_PASSWORD=welcome1
# fill in sys password here
export SYS_DB_PASSWORD=welcome1
# fill in value here (either host:port:sid or host:port@servicename)
export DB_CONNECT_STRING=localhost:1521:xe

# modify if you are using different folder structure, domain will be created under this structure
export ORACLE_CONFIG_DIRECTORY=/u01/oracle/config

export FDWLS_ADMIN_LISTEN_ADDRESS=`hostname`
export FDWLS_ADMIN_LISTEN_PORT=7001
export FDWLS_NODEMANAGER_HOST=`hostname`
export FDWLS_NODEMANAGER_PORT=5556
export FDWLS_NODEMANAGER_TYPE=SSL


# Process starts here

> PasswordFile.txt
chmod 700 PasswordFile.txt
echo $SYS_DB_PASSWORD>PasswordFile.txt
echo $WLS_SCHEMA_PASSWORD>>PasswordFile.txt


export WLS_SCHEMA_PREFIX=${DOMAIN_LOGICAL_NAME}
${ORACLE_INSTALL_HOME}/oracle_common/bin/rcu -silent -databaseType ORACLE -createRepository -connectString ${DB_CONNECT_STRING} -dbUser sys -dbRole SYSDBA -useSamePasswordForAllSchemaUsers true -schemaPrefix ${WLS_SCHEMA_PREFIX} -component STB -component MDS -component IAU -component IAU_APPEND -component IAU_VIEWER -component OPSS -component WLS -f < PasswordFile.txt

rm PasswordFile.txt


export FDWLS_DOMAIN_NAME=${DOMAIN_LOGICAL_NAME}_domain
export FDWLS_ADMIN_DOMAIN_DIRECTORY=${ORACLE_CONFIG_DIRECTORY}/domains/${FDWLS_DOMAIN_NAME}
export FDWLS_ADMIN_USER=weblogic
export FDWLS_ADMIN_PASSWORD=${DOMAIN_PASSWORD}
export FD_ORACLE_MW_HOME=${ORACLE_INSTALL_HOME}
export FDWLS_BASE_INSTALL_DIRECTORY=${ORACLE_CONFIG_DIRECTORY}/applications/${FDWLS_DOMAIN_NAME}
export FDWLS_NODEMANAGER_USER=weblogic
export FDWLS_NODEMANAGER_PASSWORD=${DOMAIN_PASSWORD}
# FILL IN JDBC URL HERE to RCU schema database, For example - jdbc:oracle:thin:@host:port:sid or jdbc:oracle:thin:@host:port/servicename
export FLX_INSTALL_RCU_DB_URL=jdbc:oracle:thin:@${DB_CONNECT_STRING}
export FLX_INSTALL_RCU_DB_USER=${WLS_SCHEMA_PREFIX}_STB
export FLX_INSTALL_RCU_DB_PASSWORD=${WLS_SCHEMA_PASSWORD}


${FD_ORACLE_MW_HOME}/wlserver/common/bin/wlst.sh createWLSDomain.py

${FD_ORACLE_MW_HOME}/wlserver/common/bin/wlst.sh createADFDomain.py